{% set framasoft_ip = {} %}
{% for login, user in pillar.get('admins', {}).items() %}
{%   if user.ips is defined %}
{%     if user.ips.ipv4 is defined %}
{%       for ip in user.ips.ipv4 %}
{%         if ip not in framasoft_ip %}
{%           do framasoft_ip.update({ip: login}) %}
{%         endif %}
{%       endfor %}
{%     endif %}
{%     if user.ips.ipv6 is defined %}
{%       for ip in user.ips.ipv6 %}
{%         if ip not in framasoft_ip %}
{%           do framasoft_ip.update({ip: login}) %}
{%         endif %}
{%       endfor %}
{%     endif %}
{%   endif %}
{% endfor %}
{% for host, data in pillar.get('hosts', {}).items() %}
{%   if data.vpn is defined or (data.framaspace is defined and data.framaspace) or host == pillar['shinken-server'] or host in pillar['argos']['agents'] %}
{%     if data.ip_net is defined %}
{%       if data.ip_net not in framasoft_ip %}
{%         do framasoft_ip.update({data.ip_net: host}) %}
{%       endif %}
{%     endif %}
{%     if data.ip is defined %}
{%       for ip in data.ip %}
{%         if ip not in framasoft_ip %}
{%           do framasoft_ip.update({ip: host}) %}
{%         endif %}
{%       endfor %}
{%     endif %}
{%     if data.ipv6 is defined %}
{%       for ip in data.ipv6 %}
{%         if ip not in framasoft_ip %}
{%           do framasoft_ip.update({ip: host}) %}
{%         endif %}
{%       endfor %}
{%     endif %}
{%   endif %}
{% endfor %}
{% for interface, ips in grains['ip_interfaces'].items() %}
{%   for ip in ips %}
{%     if ip not in framasoft_ip %}
{%       do framasoft_ip.update({ip: 'Localhost'}) %}
{%     endif %}
{%   endfor %}
{% endfor %}
